%define upstream_name       AOL-TOC
%define upstream_version 0.34

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Perl extension for interfacing with AOL's AIM service
Url:        https://metacpan.org/release/%{upstream_name}
Source:     https://cpan.metacpan.org/authors/id/J/JH/JHARDING/%{upstream_name}-%{upstream_version}0.tar.gz
BuildRequires:  perl-devel
BuildRequires:  perl(Module::Build)

BuildArch: noarch

%description
Perl extension for interfacing with AOL's AIM service

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor destdir=${RPM_BUILD_ROOT}/
make

%check
make test

%install
make install DESTDIR=${RPM_BUILD_ROOT}
find ${RPM_BUILD_ROOT} -type f -name perllocal.pod -o -name .packlist -o -name '*.bs' -a -size 0 | xargs rm -f
find ${RPM_BUILD_ROOT} -type d -depth | xargs rmdir --ignore-fail-on-non-empty

%files
%doc README MYMETA.yml MYMETA.json
%{perl_vendorlib}/AOL/*.pm
%{_mandir}/man3/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.340.0-3.mga9
+ Revision: 1811091
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.340.0-2.mga8
+ Revision: 1520302
- Mageia 8 Mass Rebuild
+ bcornec <bcornec>
- import AOL::TOC for mon contribs
- import AOL::TOC for mon contribs
- import AOL::TOC for mon contribs
- Created package structure for perl-AOL-TOC.

